import {
	getUrlParam,
	getWeixinRedirectURI,
	isWeiXin
} from '@/apis/utils'
(

function() {  
    const NODE_ENV = 'dev'; // dev:开发环境 | test:测试环境  
    let ENV_VAR = null;  
	 
	var NODE_NAME=  process.env['NODE_NAME']
	console.log(NODE_NAME)
    if (process.env.NODE_ENV === "development") {  

        if (NODE_ENV === 'dev') {  
            ENV_VAR = require('./.env.dev.js');  
        } else if (NODE_ENV === 'test') {  
			ENV_VAR = require('./.env.test.js'); 
        } else{
			 ENV_VAR = require('./.env.dev.js');  
		}
		
    } else if (process.env.NODE_ENV === "production") {  
		
		if(NODE_NAME=="test"){
			ENV_VAR = require('./.env.test.js'); 
		}else if(NODE_NAME=="production"){
			ENV_VAR = require('./.env.prod.js');
		} else  {  
			ENV_VAR = require('./.env.prod.js');  
		} 
      
    }  
	

    if (ENV_VAR) {  
		process.car = {};  
        for (let key in ENV_VAR) {  
			process.car[key] = ENV_VAR[key];			
        }  
    }  
})();
